/**
 * @param compiler object received in the apply function of the webpack plugin
 * @return `true` if the compiler is detected as a webpack-4 one
 */
function isWebpack4Compiler(compiler) {
  return compiler.hooks && compiler.hooks.thisCompilation !== undefined;
}

module.exports = isWebpack4Compiler;
